// ==============================
// mfc1.c
//
// Multiple File Copy #1
//
// Created with: Borland C++ 4.52
// ==============================

#include <stdio.h>

void main (int argc, char *argv [])
{
   FILE *fpSrc, *fpDst;
   int byte, i;

   if (argc < 3)
   {
       printf ("usage: mfc1 srcfile [ srcfile ...] dstfile");
       return;
   }

   fpDst = fopen (argv [argc-1], "wb");

   for (i = 1; i < argc-1; i++)
   {
	fpSrc = fopen (argv [i], "rb");
	if (fpSrc == NULL)
	{
	    printf ("Could not open %s\n", argv [i]);
	    fclose (fpDst);
	    return;
	}

	do
	{
	   byte = fgetc (fpSrc);
	   if (byte == EOF)
	       break;

	   if (fputc (byte, fpDst) == EOF)
	   {
	       printf ("Could not write byte\n");
	       fclose (fpDst);
	       fclose (fpSrc);
	       return;
	   }
	}
	while (1);

	fclose (fpSrc);
   }

   fclose (fpDst);
}
